# $Revision: 1.217.2.7 $, $Date: 2010/05/17 10:47:31 $
#
# Conditional build:
%bcond_with	multigl	# package libglx.so in a way allowing concurrent install with nvidia/fglrx drivers
%bcond_without	dri2	# DRI2 support
%bcond_without	dbus	# D-BUS support
%bcond_without	hal	# HAL support
%bcond_without	dmx	# DMX support
%bcond_without	record	# RECORD extension
%bcond_without	selinux # SELinux support
#
# ABI versions, see hw/xfree86/common/xf86Module.h
%define	xorg_xserver_server_ansic_abi		0.4
%define	xorg_xserver_server_extension_abi	2.0
%define	xorg_xserver_server_font_abi		0.6
%define	xorg_xserver_server_videodrv_abi	6.0
%define	xorg_xserver_server_xinput_abi		7.0

%define		rel		1
Summary:	X.org server
Summary(pl.UTF-8):	Serwer X.org
Name:		xorg-xserver-server
Version:	1.7.7
Release:	%{rel}%{?with_multigl:.mgl}
License:	MIT
Group:		X11/Servers
Source0:	http://xorg.freedesktop.org/releases/individual/xserver/xorg-server-%{version}.tar.bz2
# Source0-md5:	8c0146330fb155c23d947ac37d431d4b
Source2:	xserver.pamd
Patch0:		%{name}-xwrapper.patch
Patch1:		%{name}-pic-libxf86config.patch
Patch2:		%{name}-fb-size.patch
Patch3:		%{name}-less-acpi-brokenness.patch
Patch4:		%{name}-ac.patch
Patch5:		%{name}-builtin-SHA1.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel >= 7.3
# for glx headers
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	cpp
%if %{with hal} || %{with dbus}
BuildRequires:	dbus-devel
%endif
%{?with_hal:BuildRequires:	hal-devel}
BuildRequires:	libdrm-devel >= 2.4.5
%{?with_selinux:BuildRequires:	libselinux-devel >= 2.0.86}
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	pam-devel
BuildRequires:	perl-base
BuildRequires:	pixman-devel >= 0.16.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfont-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.2
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXres-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-lib-libXtst-devel >= 1.0.99.2
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86misc-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
%{?with_dmx:BuildRequires:	xorg-lib-libdmx-devel >= 1.0.99.1}
BuildRequires:	xorg-lib-libfontenc-devel
BuildRequires:	xorg-lib-libpciaccess-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-lib-libxkbui-devel >= 1.0.2
BuildRequires:	xorg-lib-xtrans-devel >= 1.2.2
BuildRequires:	xorg-proto-bigreqsproto-devel >= 1.1.0
BuildRequires:	xorg-proto-compositeproto-devel >= 0.4
BuildRequires:	xorg-proto-damageproto-devel >= 1.1
%{?with_dmx:BuildRequires:	xorg-proto-dmxproto-devel}
%{?with_dri2:BuildRequires:	xorg-proto-dri2proto-devel >= 2.1}
BuildRequires:	xorg-proto-fixesproto-devel >= 4.1
BuildRequires:	xorg-proto-fontcacheproto-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel >= 1.4.8
BuildRequires:	xorg-proto-inputproto-devel >= 1.9.99.902
BuildRequires:	xorg-proto-kbproto-devel >= 1.0.3
BuildRequires:	xorg-proto-printproto-devel
BuildRequires:	xorg-proto-randrproto-devel >= 1.2.99.3
%{?with_record:BuildRequires:	xorg-proto-recordproto-devel}
BuildRequires:	xorg-proto-renderproto-devel >= 0.11
BuildRequires:	xorg-proto-resourceproto-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel >= 1.1.0
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xcmiscproto-devel >= 1.2.0
BuildRequires:	xorg-proto-xextproto-devel >= 1:7.0.99.3
BuildRequires:	xorg-proto-xf86bigfontproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel >= 2.0.4
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xf86vidmodeproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-util-util-macros >= 0.99.2
#BR: xcalibrateproto, tslib (for KDRIVE only)
#BR: glitz-devel >= 0.4.3 (for XGL and EGL only)
Requires(triggerpostun):	sed >= 4.0
Requires:	pixman >= 0.16.0
Requires:	xkeyboard-config
# for rgb.txt
Requires:	xorg-app-rgb >= 0.99.3
Requires:	xorg-app-xkbcomp
# xserver default config expects evdev+dbus+hald
Suggests:	dbus
Suggests:	hal
Suggests:	udev-acl
Suggests:	xorg-driver-input-evdev
# xserver requires fixed and cursor fonts
Requires:	xorg-font-font-alias
Requires:	xorg-font-font-cursor-misc
Requires:	xorg-font-font-misc-misc-base >= 1.0.0-0.3
Suggests:	xkeyboard-config
Provides:	xorg-xserver-server(ansic-abi) = %{xorg_xserver_server_ansic_abi}
Provides:	xorg-xserver-server(extension-abi) = %{xorg_xserver_server_extension_abi}
Provides:	xorg-xserver-server(font-abi) = %{xorg_xserver_server_font_abi}
Provides:	xorg-xserver-server(videodrv-abi) = %{xorg_xserver_server_videodrv_abi}
Provides:	xorg-xserver-server(xinput-abi) = %{xorg_xserver_server_xinput_abi}
Obsoletes:	X11-Xserver < 1:7.0.0
Obsoletes:	X11-driver-i2c < 1:7.0.0
Obsoletes:	X11-modules < 1:7.0.0
Obsoletes:	X11-setup < 1:7.0.0
Obsoletes:	XFree86-Xserver < 1:7.0.0
Obsoletes:	XFree86-modules < 1:7.0.0
Obsoletes:	XFree86-setup < 1:7.0.0
Obsoletes:	Xserver
Obsoletes:	xorg-xserver-server-xorgcfg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# avoid self-dependencies on included modules
%define		_noautoreq	libscanpci.so libxf1bpp.so

%description
Xorg server is a generally used X server which uses display hardware.
It requires proper driver for your display hardware.

%description -l pl.UTF-8
Serwer Xorg to podstawowy serwer X wyświetlający obraz na karcie
graficznej. Do działania wymaga odpowiedniego sterownika.

%package -n xorg-xserver-Xdmx
Summary:	Xdmx - distributed multi-head X server
Summary(pl.UTF-8):	Xdmx - rozproszony, wielomonitorowy serwer X
Group:		X11/Servers

%description -n xorg-xserver-Xdmx
Xdmx - distributed multi-head X server.

%description -n xorg-xserver-Xdmx -l pl.UTF-8
Xdmx - rozproszony, wielomonitorowy serwer X.

%package -n xorg-xserver-Xnest
Summary:	Xnest - nested X server
Summary(pl.UTF-8):	Xnest - zagnieżdżony serwer X
Group:		X11/Servers
Obsoletes:	X11-Xnest < 1:7.0.0
Obsoletes:	XFree86-Xnest < 1:7.0.0
Obsoletes:	Xserver-Xnest

%description -n xorg-xserver-Xnest
Xnest is an X Window System server which runs in an X window. Xnest is
a 'nested' window server, actually a client of the real X server,
which manages windows and graphics requests for Xnest, while Xnest
manages the windows and graphics requests for its own clients.

%description -n xorg-xserver-Xnest -l pl.UTF-8
Xnest jest serwerem X uruchamianym w okienku innego serwera X. Xnest
zachowuje się jak klient X w stosunku do prawdziwego serwera X, a jak
serwer X dla własnych klientów.

%description -n xorg-xserver-Xnest -l ru.UTF-8
Xnest - это сервер X Window System, который работает в окне X. На
самом деле это клиент реального X-сервера, который управляет окнами и
графическими запросами для Xnest в то время, как Xnest управляет
окнами и графическими запросами для своих собственных клиентов.

%description -n xorg-xserver-Xnest -l uk.UTF-8
Xnest - це сервер X Window System, який працює у вікні X. Фактично це
клієнт реального X-сервера, який керує вікнами та графічними запитами
для Xnest в той час, як Xnest керує вікнами та графічними запитами для
своїх власних клієнтів.

%package -n xorg-xserver-Xephyr
Summary:	Xephyr - nested X server
Summary(pl.UTF-8):	Xephyr - zagnieżdżony serwer X
Group:		X11/Servers
Requires:	pixman >= 0.15.0

%description -n xorg-xserver-Xephyr
Xephyr is a a kdrive server that outputs to a window on a pre-existing
'host' X display. Think Xnest but with support for modern extensions
like composite, damage and randr.

Unlike Xnest which is an X proxy, i.e. limited to the capabilities of
the host X server, Xephyr is a real X server which uses the host X
server window as "framebuffer" via fast SHM XImages.

It also has support for 'visually' debugging what the server is
painting.

%description -n xorg-xserver-Xephyr -l pl.UTF-8
Xephyr jest serwerem opartym na kdrive wyświetlającym w oknie na
istniejącym ekranie X. Można o nim myśleć jako o Xnest ze wsparciem do
wspólczesnych rozszerzeń jak composite, damage i randr.

%package -n xorg-xserver-Xfbdev
Summary:	Xfbdev - Linux framebuffer device X server
Summary(pl.UTF-8):	Xfbdev - serwer X dla framebuffera
Group:		X11/Servers

%description -n xorg-xserver-Xfbdev
Xfbdev is a Linux framebuffer device X server based on the kdrive X
server.

%description -n xorg-xserver-Xfbdev -l pl.UTF-8
Xfbdev jest serwerem X dla framebuffera opartym na kdrive.

%package -n xorg-xserver-Xvfb
Summary:	Xvfb - virtual framebuffer X server
Summary(pl.UTF-8):	Xvfb - serwer X z wirtualnym framebufferem
Group:		X11/Servers
# requires fixed and cursor fonts
Requires:	xorg-font-font-alias
Requires:	xorg-font-font-cursor-misc
Requires:	xorg-font-font-misc-misc-base >= 1.0.0-0.3
Obsoletes:	X11-Xvfb < 1:7.0.0
Obsoletes:	XFree86-Xvfb < 1:7.0.0

%description -n xorg-xserver-Xvfb
Xvfb (X Virtual Frame Buffer) is an X Window System server that is
capable of running on machines with no display hardware and no
physical input devices. Xvfb emulates a dumb framebuffer using virtual
memory. Xvfb doesn't open any devices, but behaves otherwise as an X
display. Xvfb is normally used for testing servers. Using Xvfb, the
mfb or cfb code for any depth can be exercised without using real
hardware that supports the desired depths. Xvfb has also been used to
test X clients against unusual depths and screen configurations, to do
batch processing with Xvfb as a background rendering engine, to do
load testing, to help with porting an X server to a new platform, and
to provide an unobtrusive way of running applications which really
don't need an X server but insist on having one.

%description -n xorg-xserver-Xvfb -l pl.UTF-8
Xvfb (X Virtual Frame Buffer) jest serwerem X, który można uruchamiać
na maszynach bez urządzeń wyświetlających ani fizycznych urządzeń
wejściowych. Xvfb emuluje prosty framebuffer w pamięci. Zwykle jest
używany do testowania serwerów X, może też być używany do testowania
klientów X w rzadko używanych konfiguracjach ekranu. Można też użyć
Xvfb do uruchomienia aplikacji, które w rzeczywistości nie wymagają
serwera X, ale odmawiają uruchomienia bez niego.

%package devel
Summary:	Header files for X.org server
Summary(pl.UTF-8):	Pliki nagłówkowe dla serwera X.org
Group:		X11/Development/Libraries
Requires:	libdrm-devel >= 2.4.5
Requires:	pixman-devel >= 0.16.0
Requires:	xorg-lib-libpciaccess-devel
Requires:	xorg-lib-libxkbfile-devel
Requires:	xorg-proto-dri2proto-devel >= 2.1
Requires:	xorg-proto-fontsproto-devel
Requires:	xorg-proto-inputproto-devel >= 1.9.99.902
Requires:	xorg-proto-randrproto-devel >= 1.2.99.3
Requires:	xorg-proto-renderproto-devel >= 0.9.3
Requires:	xorg-proto-videoproto-devel
Requires:	xorg-proto-xextproto-devel >= 1:7.0.99.3
Requires:	xorg-proto-xproto-devel >= 7.0.13
Obsoletes:	X11-Xserver-devel < 1:7.0.0
Obsoletes:	XFree86-Xserver-devel < 1:7.0.0

%description devel
Header files for X.org server.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla serwera X.org.

%package -n xorg-xserver-libdri
Summary:	DRI extension library for X.org server
Summary(pl.UTF-8):	Biblioteka rozszerzenia DRI dla serwera X.org
Group:		X11/Servers
Requires:	%{name} = %{version}-%{release}
Provides:	xorg-xserver-module(dri)
%if %{without multigl}
Conflicts:	xorg-driver-video-fglrx-libdri
Conflicts:	xorg-driver-video-nvidia
%endif

%description -n xorg-xserver-libdri
DRI extension library for X.org server.

%description -n xorg-xserver-libdri -l pl.UTF-8
Biblioteka rozszerzenia DRI dla serwera X.org.

%package -n xorg-xserver-libglx
Summary:	GLX extension library for X.org server
Summary(pl.UTF-8):	Biblioteka rozszerzenia GLX dla serwera X.org
Group:		X11/Servers
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-xserver-libdri = %{version}-%{release}
# Mesa version glapi tables in glx/ dir come from
Provides:	xorg-xserver-libglx(glapi) = 7.1.0
Provides:	xorg-xserver-module(glx)
Obsoletes:	X11-OpenGL-core < 1:7.0.0
Obsoletes:	XFree86-OpenGL-core < 1:7.0.0
%if %{without multigl}
Conflicts:	xorg-driver-video-fglrx-libglx
Conflicts:	xorg-driver-video-nvidia
%endif

%description -n xorg-xserver-libglx
GLX extension library for X.org server.

%description -n xorg-xserver-libglx -l pl.UTF-8
Biblioteka rozszerzenia GLX dla serwera X.org.

%prep
%setup -q -n xorg-server-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1

# xserver uses pixman-1 API/ABI so put that explictly here
sed -i -e 's#<pixman\.h#<pixman-1/pixman.h#g' ./fb/fb.h ./include/miscstruct.h ./render/picture.h

%build
API=$(awk '/#define ABI_ANSIC_VERSION/ { split($0,A,/[(,)]/); printf("%d.%d",A[2], A[3]); }' hw/xfree86/common/xf86Module.h)
if [ $API != %{xorg_xserver_server_ansic_abi} ]; then
	echo "Set %%define xorg_xserver_server_ansic_abi to $API and rerun."
	exit 1
fi

API=$(awk '/#define ABI_EXTENSION_VERSION/ { split($0,A,/[(,)]/); printf("%d.%d",A[2], A[3]); }' hw/xfree86/common/xf86Module.h)
if [ $API != %{xorg_xserver_server_extension_abi} ]; then
	echo "Set %%define xorg_xserver_server_extension_abi to $API and rerun."
	exit 1
fi

API=$(awk '/#define ABI_FONT_VERSION/ { split($0,A,/[(,)]/); printf("%d.%d",A[2], A[3]); }' hw/xfree86/common/xf86Module.h)
if [ $API != %{xorg_xserver_server_font_abi} ]; then
	echo "Set %%define xorg_xserver_server_font_abi to $API and rerun."
	exit 1
fi
API=$(awk '/#define ABI_VIDEODRV_VERSION/ { split($0,A,/[(,)]/); printf("%d.%d",A[2], A[3]); }' hw/xfree86/common/xf86Module.h)
if [ $API != %{xorg_xserver_server_videodrv_abi} ]; then
	echo "Set %%define xorg_xserver_server_videodrv_abi to $API and rerun."
	exit 1
fi
API=$(awk '/#define ABI_XINPUT_VERSION/ { split($0,A,/[(,)]/); printf("%d.%d",A[2], A[3]); }' hw/xfree86/common/xf86Module.h)
if [ $API != %{xorg_xserver_server_xinput_abi} ]; then
	echo "Set %%define xorg_xserver_server_xinput_abi to $API and rerun."
	exit 1
fi

%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-os-name="PLD/Linux" \
	--with-os-vendor="PLD/Team" \
	--%{?with_dbus:en}%{!?with_dbus:dis}able-config-dbus \
	%{!?with_hal:--disable-config-hal} \
	--enable-aiglx \
	--enable-builddocs \
	--enable-dga \
	%{?with_dmx:--enable-dmx} \
	--enable-glx-tls \
	--enable-install-libxf86config \
	%{?with_record:--enable-record} \
	--enable-kdrive \
	--enable-xephyr \
	--enable-xfbdev \
	--enable-glx-tls \
	%{?with_selinux:--enable-xselinux} \
	--disable-xsdl \
	--disable-xfake \
	--enable-secure-rpc \
	--%{?with_dri2:en}%{!?with_dri2:dis}able-dri2 \
	--with-dri-driver-path=%{_libdir}/xorg/modules/dri \
	--with-default-font-path="%{_fontsdir}/misc,%{_fontsdir}/TTF,%{_fontsdir}/OTF,%{_fontsdir}/Type1,%{_fontsdir}/100dpi,%{_fontsdir}/75dpi" \
	--with-xkb-output=/var/lib/xkb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/xserver
install -d $RPM_BUILD_ROOT/etc/security/console.apps
install -d $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{dri,drivers,input}
:> $RPM_BUILD_ROOT/etc/security/console.apps/xserver
:> $RPM_BUILD_ROOT/etc/security/blacklist.xserver

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{*,*/*}.{la,a}

%if %{with multigl}
cd $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions
mv -f libglx.so libglx.so.%{version}
ln -sf libglx.so.%{version} libglx.so
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with multigl}
%post -n xorg-xserver-libglx
if [ ! -e %{_libdir}/xorg/modules/extensions/libglx.so ]; then
	ln -sf libglx.so.%{version} %{_libdir}/xorg/modules/extensions/libglx.so
fi
%endif

%triggerpostun -- xorg-xserver-server < 1.5.0
if [ -f /etc/X11/xorg.conf ]; then
	sed -i -e 's/^\s*RgbPath.*$/#& # obsolete option/' /etc/X11/xorg.conf
	sed -i -e 's/^\s*Load\s*"type1".*$/#& # obsolete module/' /etc/X11/xorg.conf
%if %{without record}
	sed -i -e 's/^\s*Load\s*"record".*$/#& # module disabled in this build/' /etc/X11/xorg.conf
%endif
	sed -i -e 's/^\s*Load\s*"xtrap".*$/#& # obsolete module/' /etc/X11/xorg.conf
fi

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/X
%attr(755,root,root) %{_bindir}/Xorg
%attr(4755,root,root) %{_bindir}/Xwrapper
%attr(755,root,root) %{_bindir}/cvt
%attr(755,root,root) %{_bindir}/gtf
%dir %{_libdir}/xorg
%{_libdir}/xorg/protocol.txt
%dir %{_libdir}/xorg/modules
%dir %{_libdir}/xorg/modules/dri
%dir %{_libdir}/xorg/modules/drivers
%dir %{_libdir}/xorg/modules/extensions
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libdbe.so
%{?with_dri2:%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libdri2.so}
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libextmod.so
%{?with_record:%attr(755,root,root) %{_libdir}/xorg/modules/extensions/librecord.so}
%dir %{_libdir}/xorg/modules/input
%dir %{_libdir}/xorg/modules/linux
%attr(755,root,root) %{_libdir}/xorg/modules/linux/libfbdevhw.so
%dir %{_libdir}/xorg/modules/multimedia
%attr(755,root,root) %{_libdir}/xorg/modules/multimedia/*.so
%attr(755,root,root) %{_libdir}/xorg/modules/lib*.so
%dir /var/lib/xkb
/var/lib/xkb/README.compiled
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/xserver
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.xserver
%config(missingok) /etc/security/console.apps/xserver
%{?with_dbus:/etc/dbus-1/system.d/xorg-server.conf}
%{_mandir}/man1/Xorg.1x*
%{_mandir}/man1/Xserver.1x*
%{_mandir}/man1/cvt.1*
%{_mandir}/man1/gtf.1x*
%{_mandir}/man4/exa.4*
%{_mandir}/man4/fbdevhw.4*
%{_mandir}/man5/xorg.conf.5x*

%if %{with dmx}
%files -n xorg-xserver-Xdmx
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xdmx
%attr(755,root,root) %{_bindir}/dmxaddinput
%attr(755,root,root) %{_bindir}/dmxaddscreen
%attr(755,root,root) %{_bindir}/dmxreconfig
%attr(755,root,root) %{_bindir}/dmxresize
%attr(755,root,root) %{_bindir}/dmxrminput
%attr(755,root,root) %{_bindir}/dmxrmscreen
%attr(755,root,root) %{_bindir}/dmxtodmx
%attr(755,root,root) %{_bindir}/dmxwininfo
%attr(755,root,root) %{_bindir}/vdltodmx
%attr(755,root,root) %{_bindir}/xdmx
%attr(755,root,root) %{_bindir}/xdmxconfig
%{_mandir}/man1/Xdmx.1x*
%{_mandir}/man1/dmxtodmx.1x*
%{_mandir}/man1/vdltodmx.1x*
%{_mandir}/man1/xdmxconfig.1x*
%endif

%files -n xorg-xserver-Xnest
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xnest
%{_mandir}/man1/Xnest.1x*

%files -n xorg-xserver-Xephyr
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xephyr
%{_mandir}/man1/Xephyr.1x*

%files -n xorg-xserver-Xfbdev
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xfbdev

%files -n xorg-xserver-Xvfb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xvfb
%{_mandir}/man1/Xvfb.1x*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg
%{_libdir}/libxf86config.a
%{_aclocaldir}/xorg-server.m4
%{_pkgconfigdir}/xorg-server.pc

%files -n xorg-xserver-libdri
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libdri.so

%files -n xorg-xserver-libglx
%defattr(644,root,root,755)
%if %{with multigl}
%ghost %{_libdir}/xorg/modules/extensions/libglx.so
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so.%{version}
%else
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-xserver-server.spec,v $
Revision 1.217.2.7  2010/05/17 10:47:31  shadzik
- 1.7.7

Revision 1.217.2.6  2010/04/29 10:57:54  baggins
- backported builtin-SHA1 patch, don't pull openssl dep

Revision 1.217.2.5  2010/03/17 06:43:22  arekm
- up to 1.7.6

Revision 1.217.2.4  2010/03/12 07:25:36  arekm
- up to 1.7.5.902

Revision 1.217.2.3  2010/03/05 07:46:57  arekm
- rel 2; selinux causes problems (like black screen), so disable it

Revision 1.217.2.2  2010/03/05 07:03:41  arekm
- up to 1.7.5.901

Revision 1.217.2.1  2010/02/16 07:35:12  arekm
- up to 1.7.5

Revision 1.217  2010/01/29 21:30:53  gotar
- Xephyr R: pixman >= 0.15.0 due to pixman_disable_out_of_bounds_workaround symbol

Revision 1.216  2010/01/08 07:11:45  arekm
- up to 1.7.4

Revision 1.215  2009/12/26 09:49:16  arekm
- up to 1.7.3.902

Revision 1.214  2009/12/13 21:32:53  glen
- S: udev-acl; rel 2

Revision 1.213  2009/12/11 07:25:27  arekm
- up to 1.7.3.901 (1.7.4 RC1)

Revision 1.212  2009/12/04 14:00:10  sparky
- devel requires xorg-proto-inputproto-devel
  (xorg/dix.h includes X11/extensions/XI.h)

Revision 1.211  2009/12/03 07:24:39  arekm
- up to 1.7.3

Revision 1.210  2009/11/27 13:28:08  sparky
- drop BR: xorg-proto-evieext-devel

Revision 1.209  2009/11/27 06:33:27  arekm
- up to 1.7.2

Revision 1.208  2009/11/25 00:21:37  sparky
- BR: openssl-devel, xorg-lib-libXdamage-devel
- what is xorg-proto-evieext-devel ?

Revision 1.207  2009/11/24 23:07:28  sparky
- added R: xorg-proto-randrproto-devel to -devel: xf86.h includes randr.h

Revision 1.206  2009/11/20 07:42:25  arekm
- up to 1.7.1.902

Revision 1.205  2009/11/06 07:46:54  arekm
- up to 1.7.1.901 (1.7.2RC)

Revision 1.204  2009/10/23 06:49:30  arekm
- up to final 1.7.1

Revision 1.203  2009/10/19 07:05:28  arekm
- up to 1.7.0.902

Revision 1.202  2009/10/12 06:48:56  arekm
- bump libXtst and libdmx deps

Revision 1.201  2009/10/12 06:22:28  arekm
- up to 1.7.0.901 (1.7.1 candidate)

Revision 1.200  2009/10/02 07:55:49  arekm
- BR fixesproto 4.1

Revision 1.199  2009/10/02 07:04:44  arekm
- up to 1.7.0 final

Revision 1.198  2009/09/22 05:47:47  arekm
- up to 1.6.99.902

Revision 1.197  2009/09/14 10:51:38  arekm
- up to 1.6.99.901 (1.7RC1)

Revision 1.196  2009/09/04 10:14:51  arekm
- up to 1.6.99.900 (not meant for th)

Revision 1.195  2009/08/26 06:37:53  arekm
- up to 1.6.3.901 (it's RC for 1.6.4)

Revision 1.194  2009/08/25 12:02:08  arekm
- rel 3; enable GLX TLS

Revision 1.193  2009/08/14 10:38:01  patrys
- fix IDLETIME
- rel 2

Revision 1.192  2009/08/01 10:02:41  arekm
- up to 1.6.3

Revision 1.191  2009/07/27 05:42:34  arekm
- up to 1.6.2.901

Revision 1.190  2009/07/08 02:21:44  arekm
- up to 1.6.2

Revision 1.189  2009/06/30 06:41:27  arekm
- up to 1.6.1.902

Revision 1.188  2009/06/05 15:23:58  glen
- Suggest evdev and friends; adapter

Revision 1.187  2009/05/13 17:52:51  gotar
- R proper versions in devel subpackage

Revision 1.186  2009/05/09 09:41:52  arekm
- up to 1.6.1.901

Revision 1.185  2009/04/22 14:45:53  baggins
- rel 2
- reenable Ctrl-Alt-Backspace by default

Revision 1.184  2009/04/14 21:01:12  arekm
- up to 1.6.1

Revision 1.183  2009/04/02 21:06:58  mmazur
- rel 7; stbr
- fixes ooffice fullscreen crash

Revision 1.182  2009/03/31 09:16:39  arekm
- devel R: xorg-proto-dri2proto-devel

Revision 1.181  2009/03/31 09:14:38  arekm
- devel R: xorg-lib-libpciaccess-devel

Revision 1.180  2009/03/26 21:12:51  arekm
- rel 6; more patches from fc

Revision 1.179  2009/03/25 18:05:11  adamg
- BR: xorg-lib-libXv-devel (Xvlib.h)
- url for reference
- release 5

Revision 1.178  2009/03/25 18:02:43  adamg
- bugfix for xinerama related segfaults
  [ https://bugs.freedesktop.org/show_bug.cgi?id=20557 ]

Revision 1.177  2009/03/23 17:17:38  arekm
- rel 4

Revision 1.176  2009/03/17 10:57:41  baggins
- rel 3
- added Xephyr and Xfbdev servers
- removed leftovers from Xprt
- enable D-BUS support (with dbus bcond)

Revision 1.175  2009/02/28 17:20:16  arekm
- rel 2; some exa updates from git master

Revision 1.174  2009/02/25 20:40:55  arekm
- up to 1.6.0

Revision 1.173  2009/02/19 16:47:16  arekm
- --disable-builtin-fonts is obsolete

Revision 1.172  2009/02/18 07:31:13  arekm
- up to 1.5.99.903

Revision 1.171  2009/02/07 10:23:42  arekm
- require newer pixman (>= 0.14.0)

Revision 1.170  2009/01/31 10:29:02  arekm
- up to 1.5.99.902

Revision 1.169  2009/01/26 11:39:06  arekm
- bump deps for mesa (7.3) and libdrm (2.4.4)

Revision 1.168  2009/01/12 21:24:18  arekm
- up to 1.5.99.901

Revision 1.167  2008/12/27 09:10:16  qboosh
- libglx R: libdri

Revision 1.166  2008/12/27 09:01:20  qboosh
- updated virtual dri/glx extension module provides

Revision 1.165  2008/12/27 08:22:27  qboosh
- typo

Revision 1.164  2008/12/20 17:53:33  blues
- separate libdri

Revision 1.163  2008/12/10 07:59:22  arekm
- up to 1.5.99.3; unreleased randrproto required

Revision 1.162  2008/12/03 19:43:11  qboosh
- sorted

Revision 1.161  2008/12/03 10:20:34  arekm
devel R: xorg-lib-libxkbfile-devel

Revision 1.160  2008/12/03 10:03:26  arekm
- builds (without dri2 and without dmx)

Revision 1.159  2008/12/03 08:45:19  arekm
- 1.5.99.2; dri2 needs unreleasted mesa, xserver itself needs unreleased libXi

Revision 1.158  2008/12/01 21:48:32  arekm
S: xkeyboard-config

Revision 1.157  2008/11/29 17:14:06  qboosh
- updated xtrap status in comment

Revision 1.156  2008/11/28 07:57:23  arekm
- dri2 devel

Revision 1.155  2008/11/28 07:54:56  arekm
- dri2 dep

Revision 1.154  2008/11/28 07:48:43  arekm
- xorgcfg dropped upstream, drop obsolete options; this snap doesn't build, new one on monday

Revision 1.153  2008/11/26 12:17:35  arekm
- upcoming xserver 1.6 beta (Th uses 1.5 from XORG_XSERVER_1_5)

Revision 1.152  2008/11/21 18:06:36  arekm
- rel 5; fix vm86 segfauilting with nx

Revision 1.151  2008/11/21 07:26:01  arekm
- rel 4; upstream fix

Revision 1.150  2008/11/11 18:53:31  arekm
- rel 3; reenable hal (1.5.3 behaves differently for input section so it's safer to enable it); disable xprint permamently (drop bcond)

Revision 1.149  2008/11/08 00:51:52  arekm
- rel 2; exa damage fix from upstream

Revision 1.148  2008/11/05 21:12:58  arekm
- up to 1.5.3

Revision 1.147  2008/11/02 15:04:49  arekm
- rel 3; more updates

Revision 1.146  2008/11/02 14:48:32  arekm
- rel 2; upstream fixes

Revision 1.145  2008/10/11 10:57:52  arekm
- up to 1.5.2

Revision 1.144  2008/10/10 06:30:18  arekm
- patch needs additional patch, otherwise segfault happens

Revision 1.143  2008/10/09 10:25:47  arekm
- rel 2; devprivates faster

Revision 1.142  2008/09/24 05:33:25  qboosh
- updated to 1.5.1

Revision 1.141  2008/09/12 20:03:35  qboosh
- trigger to edit xorg.conf (disable RgbPath and removed modules) on upgrade

Revision 1.140  2008/09/12 18:19:46  qboosh
- libglx still provides glapi for dri drivers

Revision 1.139  2008/09/12 17:39:38  qboosh
- use --enable-install-libxf86config instead of hand job

Revision 1.138  2008/09/12 17:11:29  qboosh
- deal with record/xtrap deps/files (bconds added)

Revision 1.137  2008/09/12 16:14:52  qboosh
- bcond headers cleanup

Revision 1.136  2008/09/05 16:03:17  qboosh
- sorted

Revision 1.135  2008/09/05 11:25:24  lmasko
- Added missing BR: xorg-lib-libpciaccess-devel

Revision 1.134  2008/09/04 07:10:04  arekm
- final 1.5.0 (if nothing bad happens it will be announced officially in 2 days at xorg)

Revision 1.133  2008/08/29 09:37:34  arekm
- lbx code dropped in upstream

Revision 1.132  2008/08/15 10:50:21  arekm
- disable hal for now (not too useful for now; see evdev problems)

Revision 1.131  2008/07/23 19:21:31  arekm
- up to 1.4.99.906

Revision 1.130  2008/07/02 17:18:43  arekm
- backport glyph cache from master (x11perf -aa10text jump from 70k/s to 300k/s on radeon x600)

Revision 1.129  2008/07/01 10:57:53  arekm
- disable dri2; fix swrast dep; builds now

Revision 1.128  2008/06/30 20:55:26  arekm
- partial 1.4.99.905 update; mesa source no longer needed but mesa headers are needed

Revision 1.127  2008/06/25 11:37:02  arekm
- default is changing in upstream to enable but we want disable

Revision 1.126  2008/05/22 19:38:53  arekm
- up to 1.4.99.902

Revision 1.125  2008-04-17 19:22:58  arekm
- 1.5 20080417 snap

Revision 1.124  2008-04-05 20:58:50  arekm
- rel 3; disable xprint (unmaintained; to be dropped; not working (only eats cpu)); use new mesa 7.0.3

Revision 1.123  2008-01-21 15:58:11  arekm
- rel 2; fix regressions caused by xorg-xserver-1.4-multiple-overflows v1

Revision 1.122  2008-01-18 07:32:05  arekm
- rel 1 (fixes CVE-2007-5760, CVE-2007-5958, CVE-2007-6427, CVE-2007-6428, CVE-2007-6429, CVE-2008-0006)

Revision 1.121  2008-01-08 07:32:19  glen
- allow errors to be catched by shell

Revision 1.120  2007-12-12 22:29:37  arekm
- up to 1.4.0.90 (1.4.1 preelease)

Revision 1.119  2007-11-19 16:04:12  arekm
- rel 7; fix nasy fd#12815 bug where when using EXA xserver could hang requiring reboot

Revision 1.118  2007-11-11 18:13:34  arekm
- rel 6; rebuild with mesa 7.0.2

Revision 1.117  2007/10/26 21:05:48  arekm
- rel 5; temp workaround for keyboard leds (from pepe/kamol.net).

Revision 1.116  2007/10/21 21:29:05  arekm
- rel 4; fix some bugs (patches from debian/freedesktop)

Revision 1.115  2007/09/29 20:52:11  baggins
- multigl: create extensions/libglx.so symlink if missing in %post

Revision 1.114  2007/09/29 17:55:21  baggins
- if multigl bcond is enabled libglx does not conflict with xorg-driver-video-nvidia

Revision 1.113  2007/09/28 22:44:43  baggins
- put bcond info in release (if enabled)

Revision 1.112  2007/09/28 22:44:04  baggins
- added multigl bcond (see bcond comment)

Revision 1.111  2007/09/15 09:26:41  adamg
- CVE entry for rel 1.92 (ver. 1.4)

Revision 1.110  2007/09/12 16:44:19  lkrotowski
- patch prevents crash at exit

Revision 1.109  2007/09/12 16:17:56  qboosh
- sorted Rs

Revision 1.108  2007/09/12 12:21:54  arekm
- R: pixman >= 0.9.5

Revision 1.107  2007/09/10 11:46:50  arekm
- rel 3

Revision 1.106  2007/09/10 06:44:03  arekm
- dbus failure fix

Revision 1.105  2007/09/06 19:51:15  arekm
- rel 2; move abi defs earlier

Revision 1.104  2007/09/06 18:02:57  qboosh
- build xorgcfg again, but moved to subpackage (more deps)
- added ChangeLog to doc

Revision 1.103  2007/09/06 16:50:18  arekm
- move xf86Module.h note to where it's needed

Revision 1.102  2007/09/06 16:28:55  arekm
- rel 1

Revision 1.101  2007/09/06 16:23:23  qboosh
- one more

Revision 1.100  2007/09/06 16:22:22  qboosh
- updated some proto versions

Revision 1.99  2007/09/06 16:14:27  qboosh
- updated libdrm dep, sorted Rs and configure options

Revision 1.98  2007/09/06 16:10:31  arekm
- introduce ABI requires for tracking module dependencies

Revision 1.97  2007/09/06 15:29:57  arekm
- provide ABI versions for dynamic modules

Revision 1.96  2007/09/06 12:28:48  arekm
- change pixman includes so we don't need to patch external stuff (like synaptics)

Revision 1.95  2007/09/06 12:19:59  arekm
- devel R: pixman-devel

Revision 1.94  2007/09/06 12:12:16  arekm
- enable glx with tls support

Revision 1.93  2007/09/06 11:59:22  arekm
- BR hal and dbus

Revision 1.92  2007/09/06 11:55:07  arekm
- up to 1.4 [ CVE-2007-4730 ]

Revision 1.91  2007/08/23 06:41:22  arekm
- revert, that requirement is new in versions after 1.3.0 only

Revision 1.90  2007/08/23 06:25:38  arekm
- ./xorg/picture.h ./xorg/fb.h ./xorg/miscstruct.h use pixman headers

Revision 1.89  2007/08/06 10:10:27  patrys
- conflicts instead of obsoletes

Revision 1.88  2007/08/05 09:47:13  arekm
- rel 6; use Mesa 7.0.1

Revision 1.87  2007/06/23 11:18:42  arekm
- rel 5; use Mesa 7.0

Revision 1.86  2007/05/03 21:31:28  arekm
- rel 4; apply some mesa fixes

Revision 1.85  2007/04/30 21:40:14  qboosh
- Xvfb needs cursor and fixed fonts too

Revision 1.84  2007/04/30 20:28:24  arekm
- rel 3; workaround for i486

Revision 1.83  2007/04/30 20:06:55  qboosh
- Obsoletes: X11-driver-i2c

Revision 1.82  2007/04/30 19:53:01  arekm
- problem visible on 486, too

Revision 1.81  2007/04/30 19:26:58  qboosh
- fixed XFree86-Xserver-devel name in Obsoletes
- -libglx Obsoletes: {XFree86,X11}-OpenGL-core

Revision 1.80  2007/04/30 19:02:32  qboosh
- main Obsoletes: {XFree86,X11}-setup

Revision 1.79  2007/04/30 13:43:23  arekm
- rel 2; mesa 6.5.3 support

Revision 1.78  2007/04/29 20:44:36  qboosh
- CVE reference for 1.2.99.905

Revision 1.77  2007/04/20 06:05:48  aflinta
- release 1

Revision 1.76  2007/04/20 05:58:03  aflinta
- version 1.3.0.0

Revision 1.75  2007/04/06 15:12:42  arekm
- up to 1.2.99.905 [fixes CVE-2007-1003]

Revision 1.74  2007/03/27 07:49:05  arekm
- gcc segfaults on x86_64; apply workaround

Revision 1.73  2007/03/27 06:38:56  arekm
- up to 1.2.99.903 (last RC release according to xorg ML)

Revision 1.72  2007/03/26 09:00:25  wolvverine
- BR versions

Revision 1.71  2007/03/14 20:09:11  arekm
- up to 1.2.99.902

Revision 1.70  2007/03/05 10:21:58  arekm
- workaround for gcc 4.2 still needed

Revision 1.69  2007/03/05 07:49:12  arekm
- up to 1.2.99.901

Revision 1.68  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.67  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.66  2007/01/14 18:05:19  arekm
- readd Requires:      xkeyboard-config

Revision 1.65  2007/01/06 22:49:29  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.64  2006/12/04 18:14:57  arekm
- xkbdata is deprecated in xorg 7.2

Revision 1.63  2006/12/03 15:31:44  qboosh
- set xkb output dir to /var/lib/xkb (written at runtime, so cannot be in /usr)

Revision 1.62  2006/12/03 15:04:48  qboosh
- Mesa 6.5.2

Revision 1.61  2006/12/03 13:43:43  qboosh
- -libglx R: -server in strict version
- added mesa-versioned -libglx(glapi) Provides to -libglx to keep dri drivers in sync

Revision 1.60  2006/11/23 12:57:05  arekm
- fix keyboard segfaults

Revision 1.59  2006/11/05 09:02:18  cieciwa
- release 0.2
- addedd missing (??) include xf86Keymap [required by xorg-drivers-input-keyboard-1.2.*]

Revision 1.58  2006/11/03 20:11:55  arekm
- new snap; should fix ppc

Revision 1.57  2006/11/03 19:54:09  arekm
- set os name and os vendor

Revision 1.56  2006/11/03 18:24:58  arekm
- mesa md5

Revision 1.55  2006/11/03 17:01:45  arekm
- up to 1.2.99.0 (dmx and xprint disabled - broken in this release)

Revision 1.54  2006/10/15 11:11:49  qboosh
- Obsoletes for Xserver packages

Revision 1.53  2006/10/15 10:46:57  qboosh
- updated to 1.1.99.901, Mesa 6.5.1
- updated symlinks patch, removed obsolete compositefastpath patch
- added missing-files patch (missing files taken from git)

Revision 1.52  2006/08/20 14:11:03  pluto
- reverted, only ATI's blob needs a LIBGL_DRIVERS_PATH hack in Th.

Revision 1.51  2006/08/19 18:06:40  pluto
- add LIBGL_DRIVERS_PATH to env.d.

Revision 1.50  2006/07/10 08:25:59  qboosh
- updated to 1.1.1

Revision 1.49  2006/06/02 12:52:09  shadzik
- added xf86Parser.h, xf86Optrec.h and libxf86config.a to -devel; python-xf86config.spec needs it to build
- rel 0.3

Revision 1.48  2006/05/25 13:28:55  pluto
- directory for DRI modules.

Revision 1.47  2006/05/23 06:55:24  arekm
- up to 1.1.0

Revision 1.46  2006/05/13 11:56:18  qboosh
- unified

Revision 1.45  2006/05/12 21:49:51  arekm
- up to 1.0.99.903

Revision 1.44  2006/05/08 19:26:13  pluto
- dirs %{_libdir}/xorg/modules/{drivers,input} added.

Revision 1.43  2006/05/07 11:58:00  shadzik
- security patch pointed by Jacek 'jackass' Brzozowski, rel++

Revision 1.42  2006/04/29 06:27:53  arekm
- up to 1.0.99.902

Revision 1.41  2006/04/17 16:19:53  pluto
- split libglx, release 0.2.

Revision 1.40  2006/04/10 10:28:11  qboosh
- updated compositeproto and fixesproto BRs

Revision 1.39  2006/04/10 10:17:08  qboosh
- BR: fontcacheproto-devel, glproto-devel >= 1.4.6

Revision 1.38  2006/04/08 16:41:21  arekm
- up to 1.0.99.901

Revision 1.37  2006/04/02 12:21:04  arekm
- fix dri driver path

Revision 1.36  2006/04/02 10:46:54  arekm
- up to 1.0.99.2

Revision 1.35  2006/03/23 08:57:10  wiget
- removed tun.patch (fixed upstream)
- release 0.2

Revision 1.34  2006/03/21 19:13:09  arekm
- up to 1.0.2 (fixes CVE-2006-0745)

Revision 1.33  2006/03/20 22:25:35  qboosh
- 1.0.2 will fix CVE-2006-0745

Revision 1.32  2006/03/18 17:25:11  wiget
- use "individual" source
- install randrstr.h (patch from Xorg cvs)
- release 0.8

Revision 1.31  2006/03/15 15:10:37  wiget
- fix starting Xorg on machines with tun interfaces (tun.patch)
- release 0.7

Revision 1.30  2006/02/28 12:10:41  wrobell
- fixed base font requirements

Revision 1.29  2006/02/20 16:29:24  adasi
- added mkfontscale req

Revision 1.28  2006/02/20 15:07:35  adasi
- added patch needed for glxcompmgr
- UNTESTED

Revision 1.27  2006/02/13 18:27:28  wrobell
- require xorg-font-font-misc-misc-base, which contains fixed font
- rel. 0.6

Revision 1.26  2006/02/09 14:08:04  qboosh
- updated Mesa to 6.4.2

Revision 1.25  2006/02/07 17:26:04  freetz
- https://bugs.freedesktop.org/show_bug.cgi?id=4320, rel. 0.5

Revision 1.24  2006/02/05 14:13:17  pluto
- oops, paths in xwrapper patch fixed.

Revision 1.23  2006/02/05 14:10:00  pluto
- Xwrapper from monolith.

Revision 1.22  2006/02/05 10:10:07  pluto
- R: default fonts. xserver won't run w/o them.

Revision 1.21  2006/02/03 17:52:07  pluto
- suid for Xorg.

Revision 1.20  2006/02/03 15:32:09  pluto
- release 0.2.

Revision 1.19  2006/02/03 14:43:46  qboosh
- merged pam files from monolith

Revision 1.18  2006/02/03 09:14:48  pluto
- removed redundant BRs (Xaw req. Xmu,Xpm).

Revision 1.17  2006/01/02 15:23:24  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.16  2005/12/21 14:17:01  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.15  2005/12/09 11:52:06  qboosh
- R: rgb >= 0.99.3 (for rgb.txt moved to /usr/share/X11)

Revision 1.14  2005/12/04 20:30:25  qboosh
- 0.99.4 (X11R7.0-RC3), Mesa 6.4.1

Revision 1.13  2005/11/20 10:44:23  qboosh
- separated Xdmx,Xnest,Xprt,Xvfb
- added Obsoletes for X11/XFree86 X servers
- added symlinks patch, package XpConfig data (with Xprt)

Revision 1.12  2005/11/20 07:18:57  qboosh
- 0.99.3 (X11R7.0-RC2), Mesa 6.4

Revision 1.11  2005/10/27 10:11:25  qboosh
- R: xorg-app-xkbcomp,xorg-data-xkbdata for working XKB

Revision 1.10  2005/10/27 09:12:33  qboosh
- R: xorg-app-rgb

Revision 1.9  2005/10/27 08:59:40  qboosh
- -devel R: libdrm-devel and some xorg-proto-* (used in headers)

Revision 1.8  2005/10/23 19:15:07  qboosh
- -devel doesn't require base
- BR: Mesa-devel (for glx headers)

Revision 1.7  2005/10/23 07:41:09  qboosh
- modules cleanup

Revision 1.6  2005/10/23 07:29:57  qboosh
- typo

Revision 1.5  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.4  2005/10/21 19:19:16  qboosh
- more BRs, fixed mandirs, enabled more extensions
- set default font path to PLD-specific

Revision 1.3  2005/10/20 22:16:47  jpc
- add devel subpackage
- add packaged files
- works

Revision 1.2  2005/10/20 12:09:15  jpc
- use 'ncurses/' when including its headers
- make Mesa source path passed in configure absolute

Revision 1.1  2005/10/20 11:39:36  jpc
- X server from X11R7.0-RC1
- NFY
